Subject: Re: [rmcat] Last Call: <draft-ietf-rmcat-wireless-tests-08.txt>

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 7 Jan 2020 18:55:41 +0100

Hi authors,

As you can see below I just requested IETF last call for draft-ietf-rmcat-wireless-tests. In my AD review I didn’t find anything important that needs to be addressed before IETF last call, so I didn’t send a separate AD review mail this time, however, I have a couple of small comments about reference that should be addressed before IESG evaluation:

- It seems like [I-D.ietf-rmcat-eval-test] should be a normative reference the way it is cited in section 3.2.1.

- Then, the notation "3GPP case 1 [Deployment]” in section 3.1.2 as well as similarity used in section 3.2.2 is quite confusing as squared brackets are also used for options. I recommend to rename the referent to e.g HO-deploy-3GPP and maybe even write then "3GPP case 1 (see [HO-deploy-3GPP])”.

- However, the other 3GPP reference probably don’t need to be normative as they only provide further information about mechanism that impact cellular network but don’t need to be known in detail to perform these tests, while the reference to IEEE802.11 maybe should be normative…?

- There are two different references to ns-3. Please only use one!

- I don’t think the reference to RFC2914 necessarily needs to be normative.

Also as usually when reviewing a document I of course have some more comments, however, they are mostly editorial:

- Some of the Wi-Fi acronym are not spelled out or explained, e.g. MCS and EDCA/WMM. Maybe a few more sentences can be added to intro part in section 4.

- The conclusion section is actually not needed/not a common thing, so I recommend just removing it.

- also in sec 4:
"All test cases described below can be carried out using simulations, e.g. based on [ns-2] or [ns-3].”
This should probably say some like “are recommended to be carried out using simulations” (similar as phrased at the end of the intro text in sec 3).

- In section 3:
"Even though 3GPP
   define QoS bearers [QoS-3GPP] to ensure high-quality user experience,
   adaptive real-time applications are desired.”
Is desired the right word here? What do you mean?

Thanks!
Mirja

> On 7. Jan 2020, at 18:50, DraftTracker Mail System <[email-masked]> wrote:
> 
> 
> Last Call Request has been submitted for
> <draft-ietf-rmcat-wireless-tests-08.txt>
> 
> https://datatracker.ietf.org/doc/draft-ietf-rmcat-wireless-tests/
>